## org.eclipse.jet.xpath
Class DefaultXPathFunctionResolver

    java.lang.Object
      org.eclipse.jet.xpath.DefaultXPathFunctionResolver

All Implemented Interfaces:
  XPathFunctionResolver

    public class DefaultXPathFunctionResolver

extends java.lang.Object
implements XPathFunctionResolver

Default implementation of `XPathFunctionResolver`.

Constructor Summary
`DefaultXPathFunctionResolver()`
`DefaultXPathFunctionResolver(XPathFunctionResolver delegateResolver)` Construct a function resolver that first attempts to the resolve a function by calling the `delegateResolver` and then by calling this resolver.

Method Summary
`void` `addFunction(XPathFunctionMetaData functionData)`
`XPathFunction` `resolveFunction(java.lang.String functionName, int arity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXPathFunctionResolver

    public DefaultXPathFunctionResolver()

### DefaultXPathFunctionResolver

    public DefaultXPathFunctionResolver(XPathFunctionResolver delegateResolver)

  Construct a function resolver that first attempts to the resolve a function by calling the `delegateResolver` and then by calling this resolver.

  Parameters:
    `delegateResolver` - a `XPathFunctionResolver`.

Method Detail

### resolveFunction

    public XPathFunction resolveFunction(java.lang.String functionName,
                                         int arity)

  Specified by:
    `resolveFunction` in interface `XPathFunctionResolver`

### addFunction

    public void addFunction(XPathFunctionMetaData functionData)

Copyright 2006 IBM Corporation and others. All Rights Reserved.